Skip to main content
GET
/
sandboxes
/
snapshots
List all snapshots for the caller
curl --request GET \
  --url https://sandbox.brimble.io/sandboxes/snapshots \
  --header 'x-brimble-key: <api-key>'
{
  "message": "Snapshots fetched",
  "data": {
    "data": [
      {
        "id": "<string>",
        "sandbox_id": "<string>",
        "name": "<string>",
        "image_tag": "<string>",
        "source_template": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "failure_reason": "<string>",
        "size_bytes": 123
      }
    ],
    "totalCount": 123,
    "currentPage": 123,
    "totalPages": 123,
    "limit": 123
  }
}

Authorizations

x-brimble-key
string
header
required

Your account-level Brimble API key. Find it in the dashboard under your profile drawer → API key (click the avatar in the sidebar). Available on paid plans only.

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:15
Required range: 1 <= x <= 100

Response

200 - application/json

Paginated snapshots

message
string
required
Example:

"Snapshots fetched"

data
object
required
Last modified on May 20, 2026